403Webshell
Server IP : 185.143.233.238  /  Your IP : 185.215.232.195
Web Server : nginx/1.22.1
System : Linux server2065 6.1.0-35-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.137-1 (2025-05-07) x86_64
User : www-data ( 33)
PHP Version : 8.2.31
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : OFF  |  Pkexec : OFF
Directory :  /var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /var/lib/dpkg/info/usr-is-merged.postinst
#!/bin/sh
set -e

cleanup_biarch_dirs() {
  dpkg --compare-versions "$2" lt "36~" || return 0

  # bootstrapping or earlier conversions may have created empty biarch
  # directories and links. glibc 2.35-4 or later will create them if needed,
  # so clean up the unused (and unowned) ones
  local arch_directories="/lib64 /lib32 /libo32 /libx32"
  for dir in $arch_directories; do
    [ -e "$DPKG_ROOT$dir" ] || continue
    if ! dpkg-query -S $dir >/dev/null 2>&1; then
      rm -v "$DPKG_ROOT$dir"
      if [ -e "$DPKG_ROOT/usr$dir" ] && ! dpkg-query -S /usr$dir >/dev/null 2>&1 ; then
        rmdir --ignore-fail-on-non-empty -v "$DPKG_ROOT/usr$dir"
      fi
    fi
  done
}

case "$1" in
    configure)
    cleanup_biarch_dirs
    ;;
esac



Youez - 2016 - github.com/yon3zu
LinuXploit